Summary: A configuration tool for setting traffic bandwidth parameters.
Name: shapecfg
Version: 2.2.13
Release: 6mdk
Copyright: GPL
Group: System/Configuration/Networking
Source: shaper.36.tar.bz2
Source1: README.shaper
Source2: cbq.sh.bz2
Source3: README.cbq
Patch: shapercfg-2.0.36-glibc.patch.bz2
Buildroot: %{_tmppath}/%{name}-root
Requires: kernel >= 2.0.36
ExclusiveArch: i386 i586 i686 ppc

%description
The Shapecfg program configures and adjusts traffic shaper
bandwidth limiters. Traffic shaping means setting parameters
to which traffic should conform - setting the standards for
bandwidth consumption.

To use Shapecfg, you must have also installed the kernel which
supports the shaper module (kernel versions 2.0.36 or later and
late 2.1.x kernels).

Install the shapecfg package if you want to set traffic
bandwidth parameters, and if you have the appropriate
kernel.

%prep
%setup -q -n shaper
%patch0 -p1 -b .glibc

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/{sbin,%{_sysconfdir}/sysconfig/cbq}
install -m 755 shapecfg $RPM_BUILD_ROOT/sbin/shapecfg


install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/sbin/cbq
cat <<EOF > $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/cbq/cbq-0000.example
DEVICE=eth0,10Mbit,1Mbit
RATE=128Kbit
PRIO=5
RULE=10.0.1.0/24
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/sbin/shapecfg
/sbin/cbq
%dir %{_sysconfdir}/sysconfig/cbq
%config %{_sysconfdir}/sysconfig/cbq/*
%doc $RPM_SOURCE_DIR/README.shaper $RPM_SOURCE_DIR/README.cbq


%changelog

* Fri Jul 28 2000 Francis Galiegue <fg@mandrakesoft.com> 2.2.13-6mdk

- More macros

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.13-5mdk
- BM

* Mon Apr 17 2000 Francis Galiegue <fg@mandrakesoft.com> 2.2.13-4mdk

- Resubmitted due to fuzzy upload...

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 2.2.13-3mdk
- Added ppc support

* Fri Mar 17 2000 Francis Galiegue <francis@mandrakesoft.com> 2.2.13-2mdk

- Let spec helper do its job
- Changed group to match 7.1 specs

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
- added cbq
- added cbq example config
- updated version to sync with kernel
- Build Release

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Fri Mar 26 1999 Michael Maher <mike@redhat.com>
- added some documentation.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Feb  3 1999 Bill Nottingham <notting@redhat.com>
- build against glibc2.1

* Fri Oct 02 1998 Cristian Gafton <gafton@redhat.com>
- exclusive arch i386 for now
